﻿using HeuristicLab.Analysis.AlgorithmBehavior.Analyzers;
using HeuristicLab.Encodings.PermutationEncoding;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace AlgorithmBehaviorUnitTests {
  [TestClass]
  public class UnitTest1 {
    [TestMethod]
    public void TestPermutationWrapper() {
      var rand = new HeuristicLab.Random.FastRandom();
      var permutation1 = new Permutation(PermutationTypes.RelativeUndirected, 3000, rand);
      var permutation2 = new Permutation(PermutationTypes.RelativeUndirected, 3000, rand);

      PermutationWrapper wrapper = new PermutationWrapper();
      wrapper.StorePartialPermutation(permutation1, permutation2);

      var newPermutation2 = wrapper.GetPermutation();
      PermutationEqualityComparer comp = new PermutationEqualityComparer();
      Assert.IsTrue(comp.Equals(permutation2, newPermutation2));
    }
  }
}
